<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode SMSW</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="SLDT.htm"> SLDT Store Local Descriptor Table Register</A><BR><B>next:</B><A HREF="STC.htm"> STC Set Carry Flag</A><P><HR><P><H1>SMSW -- Store Machine Status Word</H1><PRE>
Opcode      Instruction     Clocks          Description

0F  01 /4   SMSW r/m16      2/3,pm=2/2      Store machine status word to EA
                                            word
</PRE><H2>Operation</H2><PRE>
r/m16 := MSW;
</PRE><H2>Description</H2>SMSW stores the machine status word (part of CR0) in the two-byte register or memory location indicated by the effective address operand.<H2>Flags Affected</H2>None<H2>Protected Mode Exceptions</H2>#GP(0) if the result is in a nonwritable segment; #GP(0) for an illegal memory operand effective address in the CS, DS, ES, FS, or GS segments; #SS(0) for an illegal address in the SS segment; #PF(fault-code) for a page fault<H2>Real Address Mode Exceptions</H2>Interrupt 13 if any part of the operand would lie outside of the effective address space from 0 to 0FFFFH<H2>Virtual 8086 Mode Exceptions</H2>Same exceptions as in Real Address Mode; #PF(fault-code) for a page fault<H2>Notes</H2>This instruction is provided for compatibility with the 80286; 80386 programs should use <A HREF="MOVRS.htm">MOV</A> ..., CR0.<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="SLDT.htm"> SLDT Store Local Descriptor Table Register</A><BR><B>next:</B><A HREF="STC.htm"> STC Set Carry Flag</A> </BODY>